### Property

# WebKit2 Settings:enable-java

unstable deprecated: 2.38 since: 4.1

#### Declaration

    property enable-java: gboolean [ read, write, construct ]

#### Description [src]

Determines whether or not Java is enabled on the page.

Type: | `gboolean`
Available since: | 4.1
Deprecated since: | 2.38
Please do not use it in newly written code.

Default value | FALSE
Getter method | `webkit_settings_get_enable_java()`
Setter method | `webkit_settings_set_enable_java()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no